{
  "criteria": {
    "recipe_trigger": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {
        "items": [
          {
            "items": "minecraft:flint"
          }
        ]
      }
    }
  },
  "requirements": [
    [
      "recipe_trigger"
    ]
  ],
  "rewards": {
    "recipes": [
      "overly_realistic:leaf_trap",
      "overly_realistic:flint_flake",
      "overly_realistic:sharpened_bone",
      "minecraft:fishing_rod",
      "overly_realistic:custom_blocks/preparation_plate/preparation_plate_dry_grass_tuft",
      "overly_realistic:custom_blocks/preparation_plate/preparation_plate_grass_tuft",
      "overly_realistic:custom_blocks/preparation_plate/preparation_plate_leaf_litter"
    ],
    "function": "overly_realistic:players/recipe_hints/get_flint"
  }
}